wmap 3yr likelihood llibraries

Use of Healpix, camb, CLASS, cosmomc, compilers, etc.
Post Reply
Susana Landau
Posts: 18
Joined: December 10 2004
Affiliation: Buenos Aires University

wmap 3yr likelihood llibraries

Post by Susana Landau » March 24 2006

Hi eveyone !

It seems the SDSL Library or LAPACK library are not installed in my system because
while compiling the wmap 3yr likelihood code, I get the following message:

ifort -g -O1 -o test read_archive_map.o read_fits.o WMAP_3yr_options.o WMAP_3yr_util.o WMAP_3yr_tt_pixlike.o WMAP_3yr_tt_beam_and_ptsrc_corr.o WMAP_3yr_teeebb_pixlike.o WMAP_3yr_likelihood.o test.o -L. -L/usr/local/Healpix_2.01/lib -L/usr/lib -lhealpix -lcfitsio -lscs
ld: cannot find -lscs

or when trying with lapack

ifort -g -O1 -o test read_archive_map.o read_fits.o WMAP_3yr_options.o WMAP_3yr_util.o WMAP_3yr_tt_pixlike.o WMAP_3yr_tt_beam_and_ptsrc_corr.o WMAP_3yr_teeebb_pixlike.o WMAP_3yr_likelihood.o test.o -L. -L/usr/local/Healpix_2.01/lib -L/usr/lib -lhealpix -lcfitsio -llapack
ld: cannot find -llapack

I am using intel compiler v8.1 in a Mandrake Linux 10.0 system

I try to install the lapack library but I have several problems with installation.
I did not found any place to download the SCSL Science Libary,
any ideas ?
thank you very much in advanced

Oliver Zahn
Posts: 9
Joined: March 10 2005
Affiliation: Berkeley Center for Cosmological Physics

wmap 3yr likelihood llibraries

Post by Oliver Zahn » March 26 2006

Did you locate the Lapack libraries on your system? On my Linux machine using
-llapack -lblas
in place of
-lscs
did the job.

Now am having other problems with the compilation of cosmomc though...

Susana Landau
Posts: 18
Joined: December 10 2004
Affiliation: Buenos Aires University

wmap 3yr likelihood llibraries

Post by Susana Landau » March 27 2006

I also tried compiling with -llapack -lblas and it does not work.
I also tried to install the lapack library downloading it form
http://www.netlib.org/lapack/

but I have several problems with this installation,
do you think I have to install both LAPACK and BLAS?

any idea how to check if LAPACK and/or BLAS are installed on my system?

Oliver Zahn
Posts: 9
Joined: March 10 2005
Affiliation: Berkeley Center for Cosmological Physics

wmap 3yr likelihood llibraries

Post by Oliver Zahn » March 27 2006

Try "locate liblapack.a" and "locate libblas.a". If it doesn't return a path to a directory containing those libraries, you probably don't have them.

Vesa Muhonen
Posts: 5
Joined: October 06 2004
Affiliation: Helsinki Institute of Physics
Contact:

Re: wmap 3yr likelihood llibraries

Post by Vesa Muhonen » March 28 2006

Susana Landau wrote: I am using intel compiler v8.1 in a Mandrake Linux 10.0 system

I try to install the lapack library but I have several problems with installation.
I did not found any place to download the SCSL Science Libary,
any ideas ?
Hi!
I managed to solve this by installing the Intel Math Kernel Library for Linux. Then with the following options
I got the compilation go through without problems:

Code: Select all

INCS   = -I. -I/usr/local/src/Healpix_2.01/include_ifort -I/usr/local/include
LIBS   = -L. -L/usr/local/src/Healpix_2.01/lib_ifort -L/usr/local/lib 
-L/opt/intel/mkl/8.0.2/lib/32 -lhealpix -lcfitsio -lmkl -lmkl_lapack
Here comes the disclaimer: I haven't done any other checks than run the testroutine to see that the code
actually does the right thing. There was a difference in the 4th decimal in the total likelihood, so it's
not exactly the same result, but probably not catastrophically wrong either...

Susana Landau
Posts: 18
Joined: December 10 2004
Affiliation: Buenos Aires University

wmap 3yr likelihood llibraries

Post by Susana Landau » March 29 2006

Thank you very much Oliver and Vesa.

Installing the Intel Math Kernel Library and modifying the makefile like Vesa suggested did work!!!! I also find a fouth decimal difference checking the test routine.
and a message

WARNING: obsolete interface to MAP2ALM:
cos_theta_cut (6th argument) currently a DP scalar with value
-1.00000
shoud now be replaced with a 2-element vector with values:
0.00000 0.00000
See documentation for details.


this comes from some problems with the library routines because it is not in any part of de wmap likelihood code. any ideas?

Vesa Muhonen
Posts: 5
Joined: October 06 2004
Affiliation: Helsinki Institute of Physics
Contact:

Re: wmap 3yr likelihood llibraries

Post by Vesa Muhonen » March 30 2006

Susana Landau wrote: WARNING: obsolete interface to MAP2ALM:
cos_theta_cut (6th argument) currently a DP scalar with value
-1.00000
shoud now be replaced with a 2-element vector with values:
0.00000 0.00000
See documentation for details.

this comes from some problems with the library routines because it is not in any part of de wmap likelihood code. any ideas?
David Parkinson actually has already commented on this in this post, that the warning is due to using the latest version
of Healpix. However, this seems not to be a problen since he got the same results with an older version of Healpix.

Post Reply